cURL
curl --request POST \
--url https://api.become1.de/api/v2/employees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"personnelNumber": "<string>",
"companyId": "<string>",
"costCenter": "<string>",
"groups": [
"<array>"
],
"dateTerminated": "2023-11-07T05:31:56Z",
"skipSendRegistrationEmail": true
}
'import requests
url = "https://api.become1.de/api/v2/employees"
payload = {
"email": "<string>",
"personnelNumber": "<string>",
"companyId": "<string>",
"costCenter": "<string>",
"groups": ["<array>"],
"dateTerminated": "2023-11-07T05:31:56Z",
"skipSendRegistrationEmail": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
personnelNumber: '<string>',
companyId: '<string>',
costCenter: '<string>',
groups: ['<array>'],
dateTerminated: '2023-11-07T05:31:56Z',
skipSendRegistrationEmail: true
})
};
fetch('https://api.become1.de/api/v2/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"employeeId": "<string>",
"companyId": "<string>",
"personnelNumber": "<string>",
"costCenter": "<string>",
"groups": [
"<string>"
],
"datePausedStart": "2023-11-07T05:31:56Z",
"datePausedEnd": "2023-11-07T05:31:56Z",
"dateTerminated": "2023-11-07T05:31:56Z"
}Employees
Create Employee
Create a new employee & user
POST
/
api
/
v2
/
employees
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The employee is important for the import / export to payroll.
The company the employee belongs to.
The cost center helps to organize employees, but is mainly important for the import / export to payroll.
Groups help to organize employees.
The date when the employee should be terminated. When set, the access to any benefits will be terminated on this date.
For goodies, this means planned vouchers will have the endDate set to this date.
For flex, all access will also be have the validUntil set to this date.
⌘I